"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LazyCodeView = LazyCodeView;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const CodeView = (0, react_1.lazy)(() => Promise.resolve().then(() => require('./CodeView')).then(v => ({ default: v.CodeView })));
function LazyCodeView({ lazyFallback, ...props }) {
    return ((0, jsx_runtime_1.jsx)(react_1.Suspense, { fallback: lazyFallback, children: (0, jsx_runtime_1.jsx)(CodeView, { ...props }) }));
}
//# sourceMappingURL=LazyCodeView.js.map